Send channel message

Updated

Sends a channel Signaling message from the server.

POST
https://api.agora.io/dev/v2/project/{appid}/rtm/users/{user_id}/channel_messages

Sends a channel message from the server. You can send a message to a channel without joining it first.

Path Parameters

appidstring
Required

The App ID of your Agora project.

user_idstring
Required

Signaling user ID to send a channel message. It must not exceed 64 characters in length or be an empty string. This parameter supports the following characters:

  • All lowercase English letters: a-z.
  • All uppercase English letters: A-Z.
  • All numeric characters: 0-9.
  • The space character. (Not recommended): If the user ID contains a space, then the user ID cannot communicate with the Signaling SDK.
  • Punctuation characters and other symbols, including: !, #, $, %, &, (, ), +, -, :, ;, <, =, ., >, ?, @, [, ], ^, _, {, }, |, ~, ,, '.

Note

Since user_id is a URL parameter, the first character and the last characters must not be a space.

Request Body

application/json

channel_namestring
Required

Signaling channel name to receive a channel message. It must not exceed 64 characters in length or be an empty string. This parameter supports the following characters:

  • All lowercase English letters: a-z.
  • All uppercase English letters: A-Z.
  • All numeric characters: 0-9.
  • The space character. (Not recommended): If the channel name contains a space, then the API cannot communicate with the Signaling SDK.
  • Punctuation characters and other symbols, including: !, #, $, %, &, (, ), +, -, :, ;, <, =, ., >, ?, @, [, ], ^, _, {, }, |, ~, ,, '.
enable_historical_messagingboolean

Whether to save as a historical message.

  • true: Save as a historical message.
  • false: Do not save as a historical message.
payloadstring
Required

Content of the channel message. It must not be an empty string or exceed 32 KB in length.

Response

  • If the returned status code is 200, the request was successful. The response body contains the result of the request.

  • If the returned status code is not 200, the request failed. The response body includes the error code and description. Refer to status codes to understand the possible reasons for failure.

Response Body

The request was successful. The response body contains the result of the request.

resultstring

Request result. success if the request succeeds, failed if it fails.

Request result.

  • success: The request succeeds.
  • failed: The request fails.
request_idstring

Unique ID to identify this request.

codestring

Message status: message_sent.

Message status.

  • message_sent: The message is sent.

Authorization

This endpoint requires authentication.

basicAuth

Request examples

curl -X POST 'https://api.agora.io/dev/v2/project/876922cbca0098dff4323566daa89675/rtm/users/userA/channel_messages' \     -H 'Content-Type: application/json;charset=utf-8' \     -H 'Authorization: Basic <your_base64_encoded_credentials>' \     -d '{       "channel_name": "channelA",       "enable_historical_messaging": false,       "payload": "Hello"     }'

Response example

{  "result": "success",  "request_id": "123",  "code": "message_sent"}